Yum update error for CentOS 5.10 (Final)

Issues related to software problems.
peterreteppt
Posts: 5
Joined: 2017/06/18 11:46:48

Yum update error for CentOS 5.10 (Final)

Postby peterreteppt » 2017/06/18 12:49:23

When I install or update softwares on CentOS 5.10 (Final), the error showed below. Could someone provide specific answers? Thanks.

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
YumRepo Error: All mirror URLs are not using ftp, http[s] or file.
Eg. Invalid release/
removing mirrorlist with no valid mirrors: /var/cache/yum/base/mirrorlist.txt
Error: Cannot find a valid baseurl for repo: base



The /etc/yum.conf is below.

[main]
cachedir=/var/cache/yum
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
distroverpkg=redhat-release
tolerant=1
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
bugtracker_url=http://bugs.centos.org/yum5bug

# Note: yum-RHN-plugin doesn't honor this.
metadata_expire=1h

installonly_limit = 5

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d
~
~
~
"/etc/yum.conf" 20L, 379C

User avatar
TrevorH
Forum Moderator
Posts: 20600
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Yum update error for CentOS 5.10 (Final)

Postby TrevorH » 2017/06/18 12:54:33

CentOS 5 went End Of Life at the end of March 2017 and there will be no more updates to it at all. You should start your migration to a newer, supported version ASAP - mostly that means CentOS 7 since CentOS 6 has already entered Production Phase 3 and only critical severity security updates will be released for it from now on.

In addition, CentOS 5.10 is not the latest version anyway, there was a 5.11 and that was the last available. The content for 5.11 has now been moved to vault.centos.org and you will need to point your /etc/yum.repos.d/*.repo files to the content on there rather than the old mirror system.

Even once you point to vault.centos.org, you will still not be safe. New security vulnerabilities come out all the time and are fixed and CentOS 5 will no longer get any of these. Point to vault, yum update to get as current as possible then go and start planning how to get off CentOS 5 altogether ASAP.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

peterreteppt
Posts: 5
Joined: 2017/06/18 11:46:48

Re: Yum update error for CentOS 5.10 (Final)

Postby peterreteppt » 2017/06/18 12:59:50

Thank you for quick reply.

Why could not I install softwares? Why does it show the error when I install softwares?

peterreteppt
Posts: 5
Joined: 2017/06/18 11:46:48

Yum install packages error for CentOS 5.10 (Final)

Postby peterreteppt » 2017/06/18 13:48:51

When I install alien or other packages on CentOS 5.10 (Final), the error showed below. help appreciated. Thanks.

Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
YumRepo Error: All mirror URLs are not using ftp, http[s] or file.
Eg. Invalid release/
removing mirrorlist with no valid mirrors: /var/cache/yum/base/mirrorlist.txt
Error: Cannot find a valid baseurl for repo: base



The /etc/yum.conf is below.

[main]
cachedir=/var/cache/yum
keepcache=0
debuglevel=2
logfile=/var/log/yum.log
distroverpkg=redhat-release
tolerant=1
exactarch=1
obsoletes=1
gpgcheck=1
plugins=1
bugtracker_url=http://bugs.centos.org/yum5bug

# Note: yum-RHN-plugin doesn't honor this.
metadata_expire=1h

installonly_limit = 5

# PUT YOUR REPOS HERE OR IN separate files named file.repo
# in /etc/yum.repos.d
~
~
~
"/etc/yum.conf" 20L, 379C

User avatar
avij
Forum Moderator
Posts: 2091
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: Yum update error for CentOS 5.10 (Final)

Postby avij » 2017/06/18 14:15:56

I moved your above post from a different topic to here.

In short, CentOS 5 is dead. It is no longer on CentOS mirrors. That is why yum shows odd results.

You should be using either CentOS 6 or CentOS 7 (preferred).

User avatar
TrevorH
Forum Moderator
Posts: 20600
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Yum update error for CentOS 5.10 (Final)

Postby TrevorH » 2017/06/18 15:32:43

Why could not I install softwares? Why does it show the error when I install softwares?


Try reading my first reply...
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

peterreteppt
Posts: 5
Joined: 2017/06/18 11:46:48

Re: Yum update error for CentOS 5.10 (Final)

Postby peterreteppt » 2017/06/19 02:55:21

Thanks for the reply.
If I point to vault.centos.org, could I install alien or other packages on CentOS 5.10 (Final),
Because I installed several research softwares, I do not want to migrate to CentOS 6 or 7. Thanks.

User avatar
TrevorH
Forum Moderator
Posts: 20600
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Yum update error for CentOS 5.10 (Final)

Postby TrevorH » 2017/06/19 06:22:03

If I point to vault.centos.org, could I install alien or other packages on CentOS 5.10 (Final),


You can install anything that was part of the distro at the point when it was retired.

Because I installed several research softwares, I do not want to migrate to CentOS 6 or 7. Thanks.


Sorry, you have no choice. You migrate or your system gets less and less secure and eventually it will be compromised. Let me say it again, just in case you missed it... CentOS. 5. Is. Dead.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

peterreteppt
Posts: 5
Joined: 2017/06/18 11:46:48

Re: Yum update error for CentOS 5.10 (Final)

Postby peterreteppt » 2017/06/19 10:29:05

Thanks. I know your point now.